Open64 Support

Open64 uses the GCC 4.2 frontend, which is rather buggy. At this point there are no concrete plans to add workarounds for Open64. Its frontend is just too broken.